#!/bin/sh
if [ -z "$1" ]; then
	echo armv7a-do-kernel-build.sh KVERSION
	exit
fi

VER=$1
BASEDIR=$(dirname $0)

source $BASEDIR/armv7a-kernels

EMERGE="virtual/linux-sources"

for package in ${PACKAGES}; do
    EMERGE="$EMERGE =${package}-${VER}"
done

emerge $EMERGE
eit add $EMERGE